Permalink
Browse files

Remove error output. This shouldn't been a production app

  • Loading branch information...
1 parent 3169be4 commit 87f95073139e3f81e0da4841a55b20020c5041b2 @jmazzi committed Jan 11, 2010
View
28 lib/phusion_passenger/templates/app_exited_during_initialization.html.erb
@@ -1,38 +1,14 @@
-<% layout 'error_layout', :title => "#{@app_name} application could not be started" do %>
-<h1 class="error_title"><%= @app_name %> application could not be started</h1>
+<% layout 'error_layout', :title => "application could not be started" do %>
+<h1 class="error_title">application could not be started</h1>
<div id="content">
The application has exited during startup (i.e. during the evaluation of
<tt>config/environment.rb</tt>).
- <% if @error.stderr %>
- The error message can be found below. To solve this problem, please
- follow any instructions in the error message.
- <% else %>
The error message may have been written to the web server's log file.
Please check the <b>web server's</b> log file (i.e. <em>not</em> the
(Rails) application's log file) to find out why the application
exited.
-
- <p>If that doesn't help, then please use the backtrace below to debug
- the problem.</p>
<% end %>
- <dl>
- <% if @error.stderr %>
- <dt>Error message:</dt>
- <dd><%=h @error.stderr %></dd>
- <% end %>
-
- <dt>Application root:</dt>
- <dd>
- <tt class="filename"><%=h @app_root %></tt>
- </dd>
-
- <dt>Backtrace:</dt>
- <dd>
- <%= backtrace_html_for(@error.child_exception) %>
- </dd>
- </dl>
-
</div>
<% end %>
View
22 lib/phusion_passenger/templates/app_init_error.html.erb
@@ -1,5 +1,5 @@
-<% layout 'error_layout', :title => "#{@app_name} application could not be started" do %>
-<h1 class="error_title"><%= @app_name %> application could not be started</h1>
+<% layout 'error_layout', :title => "application could not be started" do %>
+<h1 class="error_title">application could not be started</h1>
<div id="content">
These are the possible causes:
@@ -42,23 +42,5 @@
Further information about the error may have been written to the
application's log file. Please check it in order to analyse the problem.
- <dl>
- <dt>Error message:</dt>
- <dd><%=h @error.child_exception.message %></dd>
-
- <dt>Exception class:</dt>
- <dd><%=h @error.child_exception.class %></dd>
-
- <dt>Application root:</dt>
- <dd>
- <tt class="filename"><%=h @app_root %></tt>
- </dd>
-
- <dt>Backtrace:</dt>
- <dd>
- <%= backtrace_html_for(@error.child_exception) %>
- </dd>
- </dl>
-
</div>
<% end %>
View
46 lib/phusion_passenger/templates/database_error.html.erb
@@ -1,33 +1,15 @@
-<% layout 'error_layout', :title => "#{@app_name} application could not be started" do %>
-<h1 class="error_title"><%= @app_name %> application could not be started</h1>
+<% layout 'error_layout', :title => "application could not be started" do %>
+<h1 class="error_title">application could not be started</h1>
<div id="content">
There appears to be a database problem.
<ul>
<li class="first">
<div class="container">
<div class="content">
- <% if @app_type == "rails" %>
- Your <em>config/database.yml</em> may not be written correctly.
- <% else %>
- Your application's database configuration file might be written
- incorrectly.
- <% end %>
- Please check it and fix any errors.
</div>
</div>
</li>
- <% if @app_type == "rails" %>
- <li>
- <div class="container">
- <div class="content">
- Your database schema may be out of date or nonexistant.
- Please run <code>rake db:migrate</code> to ensure that
- the database schema is up-to-date.
- </div>
- </div>
- </li>
- <% end %>
<li class="last">
<div class="container">
<div class="content">
@@ -38,29 +20,5 @@
</li>
</ul>
- <dl>
- <dt>Error message:</dt>
- <dd><%=h @error.child_exception.message %></dd>
-
- <dt>Exception class:</dt>
- <dd>
- <% if @error.child_exception.respond_to?(:real_class_name) %>
- <%=h @error.child_exception.real_class_name %>
- <% else %>
- <%=h @error.child_exception.class %>
- <% end %>
- </dd>
-
- <dt>Application root:</dt>
- <dd>
- <tt class="filename"><%=h @app_root %></tt>
- </dd>
-
- <dt>Backtrace:</dt>
- <dd>
- <%= backtrace_html_for(@error.child_exception) %>
- </dd>
- </dl>
-
</div>
<% end %>
View
29 lib/phusion_passenger/templates/framework_init_error.html.erb
@@ -2,37 +2,8 @@
<h1 class="title error_title">Ruby on Rails framework could not be loaded</h1>
<div id="content">
- <% if @error.vendor %>
- The application's developer seems to have bundled a non-working
- version of the Ruby on Rails framework. Please contact the
- application's developer.
- <% else %>
- Ruby on Rails framework version <%=h @error.version %> seems to be
- corrupted. Please reinstall it.
- This can be done with the following command:
- <pre class="commands"><%= PlatformInfo::GEM %> install rails --version <%=h @error.version %></pre>
- <% end %>
-
<dl>
<dt>Framework that failed to load:</dt>
- <dd>
- <% if @error.vendor %>
- Vendor directory: <tt><%=h @error.vendor %></tt>
- <% else %>
- Rails framework version <%=h @error.version %>
- <% end %>
- </dd>
-
- <dt>Error message:</dt>
- <dd><%=h @error.child_exception.message %></dd>
-
- <dt>Exception class:</dt>
- <dd><%=h @error.child_exception.class %></dd>
-
- <dt>Backtrace:</dt>
- <dd>
- <%= backtrace_html_for(@error.child_exception) %>
- </dd>
</dl>
</div>
View
14 lib/phusion_passenger/templates/general_error.html.erb
@@ -4,19 +4,5 @@
Passenger encountered the following error:
- <p>
- <%=h @error.message %>
- </p>
-
- <dl>
- <dt>Exception class:</dt>
- <dd><%=h @error.class %></dd>
-
- <dt>Backtrace:</dt>
- <dd>
- <%= backtrace_html_for(@error) %>
- </dd>
- </dl>
-
</div>
<% end %>
View
44 lib/phusion_passenger/templates/load_error.html.erb
@@ -1,46 +1,6 @@
-<% layout 'error_layout', :title => "#{@app_name} application could not be started" do %>
-<h1 class="error_title"><%= @app_name %> application could not be started</h1>
+<% layout 'error_layout', :title => "application could not be started" do %>
+<h1 class="error_title">application could not be started</h1>
<div id="content">
- A source file that the application requires, is missing.
- <ul>
- <li class="first">
- <div class="container">
- <div class="content">
- It is possible that you didn't upload your application files correctly.
- Please check whether all your application files are uploaded.
- </div>
- </div>
- </li>
- <li class="last">
- <div class="container">
- <div class="content">
- A required library may not installed. Please install all libraries
- that this application requires.
- </div>
- </div>
- </li>
- </ul>
- Further information about the error may have been written to the
- application's log file. Please check it in order to analyse the problem.
-
- <dl>
- <dt>Error message:</dt>
- <dd><%=h @error.child_exception.message %></dd>
-
- <dt>Exception class:</dt>
- <dd><%=h @error.child_exception.class %></dd>
-
- <dt>Application root:</dt>
- <dd>
- <tt class="filename"><%=h @app_root %></tt>
- </dd>
-
- <dt>Backtrace:</dt>
- <dd>
- <%= backtrace_html_for(@error.child_exception) %>
- </dd>
- </dl>
-
</div>
<% end %>
View
32 lib/phusion_passenger/templates/version_not_found.html.erb
@@ -1,34 +1,6 @@
-<% layout 'error_layout', :title => "Ruby on Rails version '#{@error.gem_version_spec}' not found" do %>
-<h1 class="error_title">Ruby on Rails version '<%=h @error.gem_version_spec %>' not found</h1>
+<% layout 'error_layout', :title => "Ruby on Rails version not found" do %>
+<h1 class="error_title">Ruby on Rails version not found</h1>
<div id="content">
- <% if @error.gem_version_spec =~ /^\d/ %>
-
- The application <tt class="filename"><%=h @app_root %></tt> requires
- Ruby on Rails version <b><%=h @error.gem_version_spec %></b>,
- which is not installed. Please install it with the following command:
- <pre class="commands">sudo gem install rails --version <%=h @error.gem_version_spec %></pre>
-
- <% else %>
-
- The application <tt class="filename"><%=h @app_root %></tt> requires
- a Ruby on Rails version that matches the version specification
- "<%=h @error.gem_version_spec %>", but there is no such Ruby on Rails
- version installed. Please install it with the following command:
- <div class="commands">
- <%= PlatformInfo::GEM %> install rails --version <em>some_version_number</em>
- </div>
-
- <% end %>
-
- <p>
- If you are unable to install Ruby on Rails (e.g. because you do not have
- control over this server) then you could also <em>vendor</em> (bundle)
- your Rails version into your application by running <pre>rake vendor:rails</pre>
- in your application's source directory, and redeploying your application.
- Please search the Internet for "vendor rails" if you're not familiar with
- this technique.
- </p>
-
</div>
<% end %>

0 comments on commit 87f9507

Please sign in to comment.